| Flutter Impeller |

Public Member Functions | List of all members
impeller::interop::SurfaceGLES Class Referencefinal

`#include <surface_gles.h>`

Inheritance diagram for impeller::interop::SurfaceGLES:

## Public Member Functions
| SurfaceGLES (Context &context, uint64_t fbo, PixelFormat color_format, ISize size)
| SurfaceGLES (Context &context, std::shared_ptr< impeller::Surface > surface)
| ~SurfaceGLES ()
| SurfaceGLES (const SurfaceGLES &)=delete
SurfaceGLES & | operator= (const SurfaceGLES &)=delete
Public Member Functions inherited from impeller::interop::Surface
| ~Surface () override
| Surface (const Surface &)=delete
Surface & | operator= (const Surface &)=delete
bool | IsValid () const
bool | DrawDisplayList (const DisplayList &dl) const
bool | Present () const
Public Member Functions inherited from impeller::interop::ObjectBase
| ObjectBase ()=default
virtual | ~ObjectBase ()=default
| ObjectBase (const ObjectBase &)=delete
| ObjectBase (ObjectBase &&)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
ObjectBase & | operator= (ObjectBase &&)=delete
void | Retain ()
void | Release ()
uint64_t | GetRefCountForTests () const

## Additional Inherited Members
Public Types inherited from impeller::interop::Object< Surface, IMPELLER_INTERNAL_HANDLE_NAME(ImpellerSurface)>
using | InteropClass = Surface
using | InteropCSibling = IMPELLER_INTERNAL_HANDLE_NAME(ImpellerSurface)
Static Public Member Functions inherited from impeller::interop::ObjectBase
static void | SafeRetain (void *ptr)
static void | SafeRelease (void *ptr)
Protected Member Functions inherited from impeller::interop::Surface
| Surface (Context &context, std::shared_ptr< impeller::Surface > surface)

## Detailed Description

Definition at line 12 of file surface_gles.h.

## Constructor & Destructor Documentation

## ◆ SurfaceGLES() [1/3]

impeller::interop::SurfaceGLES::SurfaceGLES | ( | Context & | context,
|  | uint64_t | fbo,
|  | PixelFormat | color_format,
|  | ISize | size
| ) |  |

Definition at line 11 of file surface_gles.cc.

15 : SurfaceGLES(context,
16 impeller::SurfaceGLES::WrapFBO(
17 context.GetContext(),
18 []() { return true; },
19 fbo,
20 color_format,
21 size)) {}
impeller::SurfaceGLES::WrapFBO
static std::unique_ptr< Surface > WrapFBO(const std::shared_ptr< Context > &context, SwapCallback swap_callback, GLuint fbo, PixelFormat color_format, ISize fbo_size)
Definition: surface_gles.cc:14
impeller::interop::SurfaceGLES::SurfaceGLES
SurfaceGLES(Context &context, uint64_t fbo, PixelFormat color_format, ISize size)
Definition: surface_gles.cc:11

## ◆ SurfaceGLES() [2/3]

impeller::interop::SurfaceGLES::SurfaceGLES | ( | Context & | context,
|  | std::shared_ptr< impeller::Surface > | surface
| ) |  |

Definition at line 23 of file surface_gles.cc.

25 : Surface(context, std::move(surface)) {}
impeller::interop::Surface::Surface
Surface(const Surface &)=delete

## ◆ ~SurfaceGLES()

impeller::interop::SurfaceGLES::~SurfaceGLES | ( |  | ) |
| default

## ◆ SurfaceGLES() [3/3]

impeller::interop::SurfaceGLES::SurfaceGLES | ( | const SurfaceGLES & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

SurfaceGLES& impeller::interop::SurfaceGLES::operator= | ( | const SurfaceGLES & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/toolkit/interop/backend/gles/surface_gles.h
- impeller/toolkit/interop/backend/gles/surface_gles.cc